# Get a travel rule transfer by ID

Endpoint: GET /v1/domains/{domainId}/compliance/travel-rule/providers/{provider}/messages/{travelRuleId}
Security: httpAuth

## Path parameters:

  - `domainId` (string, required)

  - `provider` (string, required)
    Enum: "NOTABENE"

  - `travelRuleId` (string, required)

## Query parameters:

  - `decrypt` (boolean)

## Response 200 fields (application/json):

  - `transfer` (object)
    Travel rule transfer details from the provider

  - `transfer.@id` (string)
    The ID of the transfer

  - `transfer.id` (string)
    The ID of the transfer (alternative field name)

  - `transfer.status` (string)
    The status of the transfer
    Enum: "OUTGOING", "INCOMING", "REJECTED", "AUTHORIZED", "FLAGGED", "SETTLED", "FLAGGED-SETTLEMENT", "RETURNED", "FROZEN", "CLEARED"

  - `transfer.direction` (string)
    The direction of the transfer
    Enum: "INCOMING", "OUTGOING"

  - `transfer.ref` (string)
    The reference provided in the request

  - `transfer.asset` (string)
    The asset being transferred

  - `transfer.amount` (string)
    The amount being transferred

  - `transfer.originator` (object)
    Party information in a transfer

  - `transfer.originator.@id` (string)
    The DID identifier of the party

  - `transfer.originator.accountNumber` (string)
    The account number of the party

  - `transfer.originator.name` (string)
    The name of the party

  - `transfer.beneficiary` (object)
    Party information in a transfer

  - `transfer.agents` (array)

  - `transfer.agents.@id` (string, required)
    The DID identifier of the agent

  - `transfer.agents.for` (string)
    The party this agent is acting for

  - `transfer.agents.role` (string, required)
    The role of the agent
    Enum: "VASP", "Custodian", "SettlementAddress", "SourceAddress", "Gateway", "Unknown"

  - `transfer.settlementId` (string)
    The transaction id of the settlement transaction

  - `transfer.isTravelRule` (boolean)
    Whether the transfer requires travel rule compliance

  - `transfer.presentationDefinitionUrl` (string)
    URL for the presentation definition

  - `transfer.createdAt` (string)
    When the transfer was created

  - `transfer.updatedAt` (string)
    When the transfer was last updated

  - `transfer.settledAt` (string)
    When the transfer was settled

  - `transfer.rejectedAt` (string)
    When the transfer was rejected

  - `transfer.rejectionReason` (string)
    Reason for rejection if the transfer was rejected

  - `suggestedIntentId` (string)
    The intentId the client needs to initiate the intent with

  - `complianceTravelRuleId` (string)
    The id associated with this travel rule record on Compliance side

## Response 400 fields (*/*):

  - `reason` (string, required)

  - `message` (string)


